# MUC nick private completion plugin 07-03-2010 r1 (Jet <megaxbit@xmpp.ru>)
namespace eval nickomp {
#	::msgcat::mcload [file join [file dirname [info script]] msgs]

    if {![::plugins::is_registered nickomp]} {
	::plugins::register nickomp \
			    -namespace [namespace current] \
			    -source [info script] \
			    -description [::msgcat::mc "MUC nick private completion"] \
			    -loadcommand [namespace code load] \
			    -unloadcommand [namespace code unload]
	return
    }
}

########################################################################################

proc nickomp::nick_comps_muc_private {chatid compsvar wordstart line} {
	if {![chat::is_groupchat $chatid]} {
		set xlib [chat::get_xlib $chatid]
		set jid [chat::get_jid $chatid]
		set group [::xmpp::jid::stripResource $jid]
		set groupid [chat::chatid $xlib $group]
		if {[chat::is_groupchat $groupid]} {
		puts "[chat::is_groupchat $groupid] - $groupid"
			variable options
			upvar 0 $compsvar comps
			debugmsg plugins "COMPLETION N: $comps"

			set nickcomps {}
			foreach nick [muc::roster $groupid] {
				lappend nickcomps "$nick "
			}
			set nickcomps [lsort -dictionary -unique $nickcomps]
			set comps [concat $nickcomps $comps]
			debugmsg plugins "COMPLETION N: $comps"		
		}	
	}
}

########################################################################################

proc nickomp::load {} {
	hook::add generate_completions_hook [namespace current]::nick_comps_muc_private 100
}

proc nickomp::unload {} {
	hook::remove generate_completions_hook [namespace current]::nick_comps_muc_private 100
}

